ALAS-2020-1357


Amazon Linux AMI Security Advisory: ALAS-2020-1357
Advisory Release Date: 2020-04-15 17:03 Pacific
Advisory Updated Date: 2020-04-17 00:03 Pacific
Severity: Important
References: CVE-2020-5260 

Issue Overview:

With a crafted URL that contains a newline in it, the credential helper machinery can be fooled to give credential information for a wrong host. The attack has been made impossible by forbidding a newline character in any value passed via the credential protocol.(CVE-2020-5260 )


Affected Packages:

git


Issue Correction:
Run yum update git to update your system.

New Packages:
i686:
    git-svn-2.14.6-1.62.amzn1.i686
    git-daemon-2.14.6-1.62.amzn1.i686
    git-2.14.6-1.62.amzn1.i686
    git-debuginfo-2.14.6-1.62.amzn1.i686

noarch:
    emacs-git-el-2.14.6-1.62.amzn1.noarch
    gitweb-2.14.6-1.62.amzn1.noarch
    perl-Git-2.14.6-1.62.amzn1.noarch
    git-email-2.14.6-1.62.amzn1.noarch
    emacs-git-2.14.6-1.62.amzn1.noarch
    git-hg-2.14.6-1.62.amzn1.noarch
    git-p4-2.14.6-1.62.amzn1.noarch
    git-all-2.14.6-1.62.amzn1.noarch
    git-bzr-2.14.6-1.62.amzn1.noarch
    perl-Git-SVN-2.14.6-1.62.amzn1.noarch
    git-cvs-2.14.6-1.62.amzn1.noarch

src:
    git-2.14.6-1.62.amzn1.src

x86_64:
    git-daemon-2.14.6-1.62.amzn1.x86_64
    git-svn-2.14.6-1.62.amzn1.x86_64
    git-2.14.6-1.62.amzn1.x86_64
    git-debuginfo-2.14.6-1.62.amzn1.x86_64